{
  lib,
  config,
  pkgs,
  ...
}:
let
  cfg = config.programs.nvim-lazy;
  # TODO: There must be a better way to implement this...
  luaUtils = import ../../pkgs/luaUtils.nix { inherit lib pkgs; };
  lazyUtils = import ../../pkgs/lazyUtils.nix { inherit lib luaUtils pkgs; };
  wrapNeovimLazy =
    (import ../../default.nix {
      inherit
        lib
        pkgs
        luaUtils
        lazyUtils
        ;
    }).packages.wrapNeovimLazy;
in
{
  imports = [ ./default.nix ];

  config = (lib.mkIf cfg.enable) {
    _module.check = lib.mkDefault false;
    environment.systemPackages = [
      (wrapNeovimLazy pkgs.neovim-unwrapped { inherit (cfg) luaRcContent lazyConfig lazyPlugins; })
    ];
  };
}
